> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a collection of To Dos



## OpenAPI

````yaml /example.yaml get /toDos
openapi: 3.1.1
info:
  title: TaskTracker Pro
  version: 1.0.1
  description: >-
    Manage and track personal tasks with deadlines to stay organized and ensure
    timely completion of work
servers:
  - url: https://fc9fe14b-43ed-4a3b-99a7-ee4d0ba13224.app.withsutro.com/api/v1.0.1
    description: Development Server
security: []
paths:
  /toDos:
    get:
      summary: Get a collection of To Dos
      operationId: getToDos
      responses:
        '200':
          $ref: '#/components/responses/GetToDosResponse'
components:
  responses:
    GetToDosResponse:
      description: Entities retrieved successfully
      content:
        application/json:
          schema:
            type: object
            additionalProperties: false
            properties:
              items:
                type: array
                items:
                  $ref: '#/components/schemas/ToDo'
              total:
                type: number
              offset:
                type: number
  schemas:
    ToDo:
      type: object
      required:
        - id
        - user
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          $comment: p_TEXT
        description:
          type: string
          $comment: p_TEXT
        deadline:
          type: string
          format: date-time
          $comment: p_DATE_TIME
        status:
          type: string
          $comment: p_TEXT
        user:
          $ref: '#/components/schemas/User'
          $comment: urn:sutro:model:user
          x-sutro-relOwner: false
      title: ToDo
      description: To Do
      additionalProperties: false
      $id: ToDo
    User:
      type: object
      required:
        - id
        - todos
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          $comment: p_TEXT
        email:
          type: string
          $comment: p_TEXT
        todos:
          type: array
          items:
            $ref: '#/components/schemas/ToDo'
          $comment: urn:sutro:model:toDo
          x-sutro-relOwner: true
      title: User
      description: User
      additionalProperties: false
      $id: User

````